<body>
    <div class="container">
      <h1 class="text-center">Registro de Alumnos</h1>
  
      <form class="form-horizontal py-4 px-5" [formGroup]='studentForm' (ngSubmit)='onFormSubmit()'>
        <div class="form-group">
          <label for="nombre" class="col-sm-2 control-label">Nombre:</label>
          <div>
            <input type="text" id="nombre" formControlName="nombre" class="form-control">
          </div>
        </div>
  
        <div class="form-group">
          <label for="apellido" class="col-sm-2 control-label">Apellido:</label>
          <div>
            <input type="text" id="apellido" formControlName="apellido" class="form-control">
          </div>
        </div>
  
        <div class="form-group">
          <label for="grado" class="col-sm-2 control-label">Grado:</label>
          <div>
            <input type="text" id="grado" formControlName="grado" class="form-control">
          </div>
        </div>
  
        <div class="form-group">
          <label for="seccion" class="col-sm-2 control-label">Seccion:</label>
          <div>
            <input type="text" id="seccion" formControlName="seccion" class="form-control">
          </div>
        </div>
  
        <div class="form-group">
          <label for="edad" class="col-sm-2 control-label">Edad:</label>
          <div>
            <input type="number" id="edad" formControlName="edad" class="form-control">
          </div>
        </div>
  
        <div class="form-group">
          <label for="email" class="col-sm-2 control-label">Email:</label>
          <div>
            <input type="email" id="email" formControlName="email" class="form-control">
          </div>
        </div>
  
        <div class="form-group">
          <div class="col-sm-offset-2 col-sm-10">
            <button [disabled]="studentForm.invalid" class="btn btn-primary">Registrar</button>
          </div>
        </div>
      </form>
  
      <br>
  
      <table id="tabla" class="table">
        <thead>
          <tr>
            <th>ID</th>
            <th>Nombre</th>
            <th>Apellido</th>
            <th>Grado</th>
            <th>Seccion</th>
            <th>Edad</th>
            <th>Email</th>
            <th>Accion</th>
            
          </tr>
        </thead>
        <tbody>
            <tr *ngFor="let students of Students">
                <th scope="row">{{students.id}}</th>
                <td>{{students.nombre}}</td>
                <td>{{students.apellido}}</td>
                <td>{{students.grado}}</td>
                <td>{{students.seccion}}</td>
                <td>{{students.edad}}</td>
                <td>{{students.email}}</td>
                <td>
                  <button (click)="eliminarEstudiante(students.id)" class="btn btn-danger">Eliminar</button>
              </td>
              </tr>
        </tbody>
      </table>
  
    </div>
  </body>
  